Method Sync Engine Requirements

The Method QuickBooks Desktop Sync Engine is a small program that runs in the background syncing data between Method and QuickBooks Desktop. If you are having problems installing the Method Sync Engine, you may want to make sure you have the correct requirements.

Requirements

  • The Method Sync Engine is available for Windows only.
  • Windows 7 and higher is supported. 
  • The minimum requirements for your computer should match the minimum requirements stated by QuickBooks Desktop. It would be better to have the recommended requirements.
  • .Net 4.0 and .Net 3.5 - this is handled by the installer.

Notes on Specific OS Versions

  • Windows 10 & 8
    • Some recent versions of Windows (8, 8.1, 10) enable .Net 4 by default and DO NOT enable 3.5 by default. In those cases, users will be prompted to download and install 3.5 during the Method install. If you wish the install to be faster, enable .Net 3.5 before installing the Method Sync Engine.
  • Windows Server (2012 R2, 2008 R2, etc)
    • Similar to above, .Net 3.5 is not enabled by default. It needs to be enabled in Windows as a feature (straightforward, common process). If it is not enabled, the installer will stop and prompt the user to complete this task. After it is enable, the install needs to be restarted. For more information, see our article How to Install on a Windows Server.
  • Windows 7
    • By default, .Net 3.5 should be enabled. If it has been disabled, it will need to be re-enabled, and should follow a similar install path to Windows 8 and 10

Was this article helpful?

Can’t find what you’re looking for?

Contact Us